<?php

declare(strict_types=1);

namespace Macopedia\OrlenShipping\Model\ResourceModel;

use Magento\Framework\Model\ResourceModel\Db\AbstractDb;

class Protocol extends AbstractDb
{
    /** @var string Main table name */
    public const MAIN_TABLE = 'macopedia_orlen_protocols';

    /** @var string Main table primary key field name */
    public const ID_FIELD_NAME = 'entity_id';

    /**
     * Initialization
     *
     * @return void
     */
    protected function _construct(): void
    {
        $this->_init(self::MAIN_TABLE, self::ID_FIELD_NAME);
    }
}
